import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (l, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, o = l.length - 1, p; o >= 0; o--)
    (p = l[o]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && g(t, s, e), e;
};
let i = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--wifiLarge", this.class = "c-pieIcon c-pieIcon--wifiLarge", this.name = "IconWifiLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--wifiLarge"><path d="M19.78 20.585a4.916 4.916 0 0 0-3.78-1.96 4.918 4.918 0 0 0-3.78 1.942L10.863 19.5A6.652 6.652 0 0 1 16 16.875a6.65 6.65 0 0 1 5.136 2.625l-1.356 1.085Z"></path><path d="M27.034 13.655A14.254 14.254 0 0 0 16 8.125a14.254 14.254 0 0 0-11.034 5.53L3.62 12.544a15.95 15.95 0 0 1 12.38-6.169 15.952 15.952 0 0 1 12.382 6.169l-1.347 1.111Z"></path><path d="M23.525 17.234A9.767 9.767 0 0 0 16 13.375a9.764 9.764 0 0 0-7.525 3.841l-1.348-1.094A11.464 11.464 0 0 1 16 11.625a11.461 11.461 0 0 1 8.872 4.48l-1.347 1.129Z"></path><path d="M16 25.406a1.531 1.531 0 1 0 0-3.062 1.531 1.531 0 0 0 0 3.062Z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], i.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = a([
  h("icon-wifi-large")
], i);
export {
  i as IconWifiLarge
};
